
Redmine - Defect #602

File module will upload file even when no Version is specified, and appear successful.

2008-02-04 17:51 - Kit Plummer

Status: Closed Start date: 2008-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Need to not allow the file upload if no version is specified in the File module.

Related issues:

Related to Redmine - Defect #1053: Unable to upload file via file menu due to... Closed 2008-04-13

History

#1 - 2008-02-04 18:21 - Kit Plummer

Here's a patch (only includes the en.yml update):

Index: app/controllers/projects_controller.rb

===================================================================

--- app/controllers/projects_controller.rb    (revision 1118)

+++ app/controllers/projects_controller.rb    (working copy)

@@ -262,9 +262,13 @@

   def add_file

     if request.post?

       @version = @project.versions.find_by_id(params[:version_id])

+      if @version == nil

+        flash[:error] = l(:error_need_version_to_upload_file)

+      else

       attachments = attach_files(@version, params[:attachments])

       Mailer.deliver_attachments_added(attachments) if !attachments.empty? && Setting.notified_events.include

?('file_added')

       redirect_to :controller => 'projects', :action => 'list_files', :id => @project

+      end

     end

     @versions = @project.versions.sort

   end

Index: lang/en.yml

===================================================================

--- lang/en.yml    (revision 1118)

+++ lang/en.yml    (working copy)

@@ -80,6 +80,7 @@

 error_can_t_load_default_data: "Default configuration could not be loaded: %s" 

 error_scm_not_found: "Entry and/or revision doesn't exist in the repository." 

 error_scm_command_failed: "An error occurred when trying to access the repository: %s" 

+error_need_version_to_upload_file: "Version is required.  Create a Version if one doesn't exist." 

#2 - 2008-02-04 18:27 - Kit Plummer

- File file_upload_fix.diff added

Attached diff too.

#3 - 2008-12-08 09:49 - Mischa The Evil

This (still) works works for current trunk (0.8.0-RC1) and looks like the desired fix for issue #1053 if the design isn't going to be modified...

#4 - 2008-12-31 13:04 - Mischa The Evil

- Category set to Attachments

- Status changed from New to Closed

2025-05-02 1/2

https://www.redmine.org/issues/1053


This is fixed/implemented in 0.8.1, thus issue closed...

Files

file_upload_fix.diff 1.29 KB 2008-02-04 Kit Plummer
